1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Update from 8.2.1 Problem

Discussion in 'Plesk for Linux - 8.x and Older' started by jasonx, Mar 22, 2008.

  1. jasonx

    jasonx Guest

    0
     
    Hey guys,

    Currently running psa v8.2.1_build82070919.15 os_RedHat el4 trying to update to 8.3.

    I get this in the email. It does say Success Report. I am leaving the default update packages selected.

    Any help appreciated.
     
  2. Satoriya

    Satoriya Guest

    0
     
    Hello,

    To update Plesk, you can download the latest Plesk autoinstaller and run it:
    # wget ftp://download1.swsoft.com/Plesk/Pl...ller_v3.3.0_build080201.09_os_RedHat_el4_i386
    # chmod a+x swsoft_installer_v3.3.0_build080201.09_os_RedHat_el4_i386
    # ./swsoft_installer_v3.3.0_build080201.09_os_RedHat_el4_i386

    Also, you can comment out or delete all Plesk-related records that contain 'autoinstall.plesk.com' from /etc/sysconfig/rhn/sources file and re-run autoinstaller again, and only needed Parallels sources will be added back automatically.
     
  3. jasonx

    jasonx Guest

    0
     
    Hey Satoriya,

    I've done what you suggested and received:

    If I try and install that hotfix from the 8.3 files it says it requires 8.3 to be installed.
     
  4. DaDomainMasta

    DaDomainMasta Guest

    0
     
    this is worked around easily. download the whole distro , untar, and install all rpms at one time (better roll them into one folder). the autoinstaller cannot do this for some reason.
    # rpm -Uvh *.rpm
    if there are any rumbles - just add needed packages into the folder:)
     
  5. jasonx

    jasonx Guest

    0
     
    Hey DaDomainMaster,

    I'm abit stuck of finding which rpms fix these dependency problems

    Thanks
     
  6. Satoriya

    Satoriya Guest

    0
     
    Hello,

    All these packges versions 8.3.0 are comming with Plesk 8.3 distribution.

    # rpm -Uvh dist-rpm-RedHat-el4-i386/base/* dist-rpm-RedHat-el4-i386/opt/updater/* dist-rpm-RedHat-el4-i386/opt/bu/* dist-rpm-RedHat-el4-i386/opt/migration/* dist-rpm-RedHat-el4-i386/opt/api/* dist-rpm-RedHat-el4-i386/opt/modules/watchdog/*
    --force

    If other packages will be required, you can find it also in unpacked Plesk distribution and add to the list of packes to install. Please, do not forget to add 'rpm' key '--force' at the end of command.
     
  7. jasonx

    jasonx Guest

    0
     
    I just want to say thank you to Satoriya & DaDomainMasta for their help. I successfully installed the RPMs as you suggested and the control panel is upgraded to 8.3. I am not very good with linux/unix so I just wanted to publicly thank you guys for helping me out.
     
  8. tiramisu_

    tiramisu_ Guest

    0
     
    clean /var/spool/up2date and run AI (autoinstaller)
    should be easier solution then resolving deps.
     
Loading...